data = JSON.parse(decodeURIComponent(window.location.hash).substr(1));
document.getElementById("address").innerText = data.AddressBar_URL;
for(var provider in data.Counts) {
document.getElementById("cnt_"+provider).innerText = data.Counts[provider];
}
for(var provider in data.Resources_Hosted_In_Cloud) {
var new_dt = document.createElement("dt");
new_dt.className = "col-sm-1";
new_dt.innerText = provider;
var new_dd = document.createElement("dd");
new_dd.className = "row col-sm-11";
for(var type in data.Resources_Hosted_In_Cloud[provider]) {
var inner_dt = document.createElement("dt");
inner_dt.className = "col-sm-2";
inner_dt.innerText = type;
new_dd.appendChild(inner_dt);
var inner_dd = document.createElement("dd");
inner_dd.className = "col-sm-10";
inner_dd.style.lineHeight = "25px";
console.log(data.Resources_Hosted_In_Cloud[provider][type].length);
for(var i=0;i < data.Resources_Hosted_In_Cloud[provider][type].length;i++) {
var new_link = document.createElement("kbd");
new_link.style.whiteSpace = "nowrap";
new_link.innerText = data.Resources_Hosted_In_Cloud[provider][type][i];
inner_dd.appendChild(new_link);
inner_dd.appendChild(document.createElement("br"));
}
new_dd.appendChild(inner_dd);
}
document.getElementById("linklist").appendChild(new_dt);
document.getElementById("linklist").appendChild(new_dd);
}
